require "entity"

GenericMoveable = class("GenericMoveable", Entity)

function GenericMoveable:initialize(x, y, color, sprite, name)
	Entity.initialize(self, {
		name = name,
		x = x,
		y = y,
		color = color,
		collision = "moveable",
		sprite = sprite
	})
end

function GenericMoveable:update()

end

function GenericMoveable:tick()

end